Notify
POST
/v1/telegram-imports/{import_id}/notify
const url = 'https://api.cloud.agentums.ru/v1/telegram-imports/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/notify';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.cloud.agentums.ru/v1/telegram-imports/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/notify \ --header 'Authorization: Bearer <token>'Отправить итоговое Telegram-уведомление, когда клиент прекратил опрос импорта.
Включение повторяемо; готовый импорт уведомляется сразу, незавершённый — после сохранения.
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»import_id
required
Import Id
string format: uuid
Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
TelegramImportOut
object
Example
{ "caption_dispatch_status": "none", "status": "queued"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}